QT       += core gui widgets

OUTSBDR = a708
NAME = a708electroprogonapp

include(../pri/common.pri)
include(../pri/app.pri)
include(../pri/deploy.pri)

#debug {
#    # Конфигурация debug? Это qmake не волнует! Он всё равно добавит флаги из release! Ату его!
#    CONFIG -= release # Эта строчка уберёт ключ -O2

#    QMAKE_CXXFLAGS += -O0 #Или QMAKE_CXXFLAGS_DEBUG
#    QMAKE_CFLAGS += -O0   #Или QMAKE_CFLAGS_DEBUG
#}

#release {
#    # Эти строчки уберут ключ -O2 -------------------------
#    QMAKE_CXXFLAGS_RELEASE -= -O2
#    QMAKE_CFLAGS_RELEASE -= -O2

#    QMAKE_CXXFLAGS += -O3  #Или QMAKE_CXXFLAGS_RELEASE
#    QMAKE_CFLAGS += -O3    #Или QMAKE_CFLAGS_RELEASE
#}

QMAKE_CXXFLAGS += "-fno-sized-deallocation"

INCLUDEPATH += source
INCLUDEPATH += ../../A708LinuxLibrary

SOURCES += \
    ../../A708LinuxLibrary/a708_library.c \
    source/entity/onedeviceelectroprogontask.cpp \
    source/main.cpp \
    source/tools/channelfinder.cpp \
    source/tools/globaltools.cpp \
    source/tools/logger.cpp \
    source/tools/memloader.cpp \
    source/wgt/dialoghtml.cpp \
    source/wgt/mainwindow.cpp \
    source/wgt/widgetdevice.cpp

HEADERS += \
    ../../A708LinuxLibrary/a708_cmd.h \
    ../../A708LinuxLibrary/a708_library.h \
    ../../A708LinuxLibrary/a708_regs.h \
    source/entity/onedeviceelectroprogontask.h \
    source/interface/iwidgetdevice.h \
    source/wgt/dialoghtml.h \
    source/wgt/mainwindow.h \
    source/tools/channelfinder.h \
    source/tools/globaltools.h \
    source/tools/logger.h \
    source/tools/memloader.h \
    source/wgt/widgetdevice.h \
    source/version.h

RESOURCES += \
    res.qrc

FORMS += \
    source/wgt/dialoghtml.ui \
    source/wgt/mainwindow.ui \
    source/wgt/widgetdevice.ui

DISTFILES +=



