### общие настройки для проекта ###
# параметр "NAME" - название артефакта разработки "исполняемый объектоный код" (имя выходного файла)

# имя выходного файла
unix:  {
    CONFIG(debug, debug|release) {
        TARGET = $${NAME}d
    }
    CONFIG(release, debug|release) {
        TARGET = $$NAME
    }
} else {
    TARGET = $$qtLibraryTarget($$NAME)
}
CONFIG += c++14
# каталог, куда ложить результирующий исполняемый файл
DESTDIR = bin
# промежуточные файлы, созданные moc
MOC_DIR = moc
# промежуточные файлы, созданные компилятором
# ресурсов Qt (rcc)
RCC_DIR = rcc
# промежуточные файлы, созданные компилятором
# файлов форм (.ui) Qt (uic)
UI_DIR = uic
# объектные файлы
CONFIG (debug, debug|release) {
    DEFINES += DEBUG
    OBJECTS_DIR = debug
} else {
    OBJECTS_DIR = release
}
